;
; AC, Tucson, juin 2001 ?
;
; Trace une ou des lignes, horizontales ou verticales,
; a des niveaux donnes, en fonction des echelles du
; trace deja existant (n'ecrit pas au dela des limites)
;
; NB: le mot_clef _extra permet de transmettre des parametres
; a la fonction PLOT d'IDL ... (couleur, epaisseur et styles des traits ...)
;
; -----------------------------------
; Historique des modifications:
; AC le 27/07/2004:
; -- Ajout de l'option Vertical
; -- Mise a niveau de la doc
;
; AC le 19/05/2005:
; -- la procedure est renonnee de AC_LIGNES en AC_LINES
; -- la procedure est deplace dans l'arbo Systeme et mise a niveau
; -- les mots-clef MINI, MAXI et PAS qui ne sont plus utilises
;    suite a une evolution du code sont supprimes
;
; -----------------------------------
;
pro AC_LINES, liste_niveaux, vertical=vertical, _extra=e, $
               help=help, test=test
;
mess=AC_SETMESSAGES("AC_LINES")
;
if (N_ELEMENTS(liste_niveaux) LT 1) then begin
    print, mess.fatal+"missing mandatory list : [liste_niveaux]"
    help=1
endif
;
if KEYWORD_SET(help) then begin
    print, 'pro AC_LINES, liste_niveaux, mini=mini, maxi=maxi, pas=pas, $'
    print, '               _extra=e, vertical=vertical, help=help, test=test'
    print, ''
    print, 'This procedure overplot Lines at given level(s)'
    print, ''
    print, 'CALLING SEQUENCE : AC_LINES, findgen(10)'
    return
endif
;
; 2 cas: lignes verticales ou horizontales
;
if KEYWORD_SET(vertical) then begin
    ;;
    ;; ici, on trace des lignes VERTICALES
    ;;
    y_min=!y.crange(0)
    y_max=!y.crange(1)
    ;;
    ;; premier cas : on founit une liste de niveaux
    ;;
    nb_niveaux=N_ELEMENTS(liste_niveaux)
    if (nb_niveaux GE 1) then begin
        for i=0, (nb_niveaux-1) do begin
            niveau=liste_niveaux(i)
            PLOTS, [niveau,niveau], [y_min,y_max], _extra=e
        endfor
    endif
endif else begin
    ;;
    ;; ici, on trace des lignes HORIZONTALES
    ;;
    x_min=!x.crange(0)
    x_max=!x.crange(1)
    ;;
    ;; premier cas : on founit une liste de niveaux
    ;;
    nb_niveaux=N_ELEMENTS(liste_niveaux)
    if (nb_niveaux GE 1) then begin
        for i=0, (nb_niveaux-1) do begin
            niveau=liste_niveaux(i)
            PLOTS, [x_min,x_max], [niveau,niveau], _extra=e
        endfor
    endif
endelse
;
end
