;
; AC le 24/11/2002
;
; Cette fonction retourne les messages d'information normalises
; en miminisant le nombre de lignes d'appel et en permettant
; l'extension avec d'eventuels nouveaux messages ajoutables a tout moment
;
; Exemple utile de la programmation "object"
; avec les structures : si on change le nombre de
; champs retournes par cette fonction
;
; PS: a ce jour, "type_of_proc" n'est pas utiliser ni gere
;
; ----------------------------------------
; Liste des modifications:
; AC 19/05/2005: 
; - petit toilletage
; - ajout du champ mess.name dans la struture
;
; ----------------------------------------
;
function AC_SETMESSAGES, name_of_proc, type_of_proc=type_of_proc, $
                         debug=debug, test=test, help=help
;
if (N_PARAMS() lt 1) then begin
    print, local_mess_fatal+' missing arguments'
    help=1
endif
;
if KEYWORD_SET(help) then begin
    print, 'function AC_SETMESSAGES, name_of_proc, type_of_proc=type_of_proc, $'
    print, '                         debug=debug, test=test, help=help'
    print, ''
    print, 'This function prepares a structure containing standardized messages'
    print, ''
    print, 'CALLING SEQUENCE : mess=AC_SETMESSAGES("name_of_my_proc/func")'
    return, -1
endif
;
; local messages (not used now)
;
local_name_of_proc='AC_SETMESSAGES'
local_mess_fatal  ='Fatal in "'+local_name_of_proc+'" : '
local_mess_warning='Warning in "'+local_name_of_proc+'" : '
local_mess_info   ='Info in "'+local_name_of_proc+'" : '
;
; global message
;
mess_fatal   ='Fatal in "'+name_of_proc+'" : '
mess_warning ='Warning in "'+name_of_proc+'" : '
mess_info    ='Info in "'+name_of_proc+'" : '
mess_question='Question in "'+name_of_proc+'" : '
;
messages={name: name_of_proc, fatal: mess_fatal, warning:mess_warning, $
          info: mess_info, question: mess_question }
;
if KEYWORD_SET(debug) then begin
    HELP
    STOP
endif
;
if KEYWORD_SET(test) then STOP
;
return, messages
;
end
;
