;
; Creation par AC le 05/02/2004 a Paris LERMA
;
; Historique des modifications:
;
; 06/02/04: all the values tabulated here have been provided
;           by Jean-Michel Lamarre during a meeting yesterday
;
;--------------------------------------------- 
; Ce programme active deux (2) variables systeme ReadOnly:
; !jupiter_flag_init (fixe a 1) ET !jupiter_temp (fixe, liste real)
;--------------------------------------------- 
;
pro PLANCK_INIT_JUPITER, bavard=bavard, test=test, help=help
;
mess=AC_SETMESSAGES('PLANCK_INIT_JUPITER')
;
if KEYWORD_SET(help) then begin
    print, 'pro PLANCK_INIT_JUPITER, bavard=bavard, $'    
    print, '               test=test, help=help'
    return
endif
;
;--------------------------------------------- 
; on verifie si c'est la premiere fois qu'on appelle cette routine
; car, a priori, on l'appelle qu'une fois et qu'on ne doit pas
; modifier les valeurs ...
;
DEFSYSV, '!jupiter_flag_init', exist=flag_init
if (flag_init EQ 1) then begin
    print, mess.warning+' it is NOT the first time that PLANCK_INIT_JUPITER is called !'
    print, mess.warning+' --> you must go outside IDL to change JUPITER values.'
    print, mess.warning+' No change to previous JUPITER values'
    if KEYWORD_SET(bavard) then begin
        print, mess.info+' ReadOnly SysVar !jupiter_flag_init is set'
        print, mess.info,'content of Structure !jupiter_temp is:'
        HELP,/structure, !jupiter_temp
    endif
    return
endif
;
;--------------------------------------------- 
; Cette table concerne la temperature de brillance (en K)
; de Jupiter d'apres Th. Encrenaz (Les Houches 94 ?)
;
temp_jupiter={units: 'Kelvin', $
              f100 : 180., $
              f143 : 180., $
              f217 : 175., $
              f353 : 160., $
              f545 : 140., $
              f857 : 130. }
;
; on le passe en variable systeme
;
DEFSYSV, '!jupiter_temp', temp_jupiter
;
print, mess.info+"Temperature of Jupiter !jupiter_temp has been initialized" 
;
; La procedure etant arrivee ici, on peut active le flag

Read_only=1
DEFSYSV, '!jupiter_flag_init', 1, Read_only
;
if KEYWORD_SET(bavard) then begin
    print, mess.info+' ReadOnly SysVar !jupiter_flag_init was set'
    print, mess.info,'content of Structure !jupiter_temp is:'
    HELP,/structure, !jupiter_temp
endif
if KEYWORD_SET(test) then STOP
;
end
